<template class="w-4/4">
    <div class="m-auto mt-10 w-3/4 rounded overflow-hidden shadow-lg">
        <div class="font-bold text-xl mb-2">LexTale test</div>
        <div v-if="!startTest" class="px-6 py-4">
            <p class="text-gray-700 text-base">
                El test consiste en ver si las siguientes palabras existen dentro del idioma expañol.
            </p>
        </div>
        <div v-else class="px-6 py-4">
            <p v-if="words[index]" class="text-gray-700 text-base">
                {{words[index].value}}
            </p>
            <p v-else class="text-gray-700 text-base">
                Download your results
            </p>
        </div>
        <div class="px-6 py-4">
            <span @click="startTest=true" v-if="!startTest" class="inline-block cursor-pointer bg-blue-300 rounded-full px-4 py-2 text-sm font-semibold text-gray-700 mr-2">start</span>
            <span @click="generateTheFile()" v-else-if="index === words.length " class="inline-block cursor-pointer bg-blue-300 rounded-full px-4 py-2 text-sm font-semibold text-gray-700 mr-2">SAVE</span>
            <div v-else>
                <span @click="restart()" class="inline-block bg-yellow-300 cursor-pointer rounded-full px-4 py-2 text-sm font-semibold text-gray-700 mr-2">RESTART</span>
                <span @click="storageAnswer(index, false)" class="inline-block bg-red-300 cursor-pointer rounded-full px-4 py-2 text-sm font-semibold text-gray-700 mr-2">NO</span>
                <span @click="storageAnswer(index, true)" class="inline-block bg-green-300 cursor-pointer rounded-full px-4 py-2 text-sm font-semibold text-gray-700 mr-2">SÍ</span>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data: ()=> {
        return {
            index: 0,
            words: [
                {value:"alto", type: "adjetivo", correct: true},
                {value:"negro", type: "adjetivo", correct: true},
                {value:"familias", type: "sustantivo", correct: true},
                {value:"computador", type: "sustantivo", correct: true},
                {value:"reescribir", type: "sufijo-prefijo", correct: true},
                {value:"parkour", type:"none", correct: false}
            ],
            startTest: false,
            answers: []
        }
    },
    methods: {
        storageAnswer(value, correct){
            this.answers.push({palabra: this.words[value].value, tipo: this.words[value].type, correcto: (correct===this.words[value].correct) ? "Correcto" : "Incorrecto" })
            //console.log(value,correct);
            this.index++;
        
        },
        restart(){
            this.index=0;
            this.answers = [];
            this.startTest = false;
        },
        async generateTheFile(){
            //genserating the file
            var results = "";
            for await (let answer of this.answers){
                results += `palabra: ${answer.palabra}, tipo: ${answer.tipo}, correcto: ${answer.correcto} \n\n`;
            }
            //var blob = new Blob([results],{type: "text/plain", endings: "native"});
            var element = document.createElement('a');

            element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(results));
            element.setAttribute('download', "resultados");

            element.style.display = 'none';
            document.body.appendChild(element);

            element.click();

            document.body.removeChild(element);
            this.restart();
        }
    }
}
</script>

<style scoped>

</style>